﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ChromeStarter.Models
{
    public class PlanCollection : INotifyPropertyChanged
    {
        private ObservableCollection<Plan> _plans;

        public event PropertyChangedEventHandler PropertyChanged;

        public PlanCollection()
        {
            _plans = new ObservableCollection<Plan>();
        }

        public ObservableCollection<Plan> Plans
        {
            get { return _plans; }
            set
            {
                _plans = value;
                OnPropertyChanged(nameof(this.Plans));
            }
        }

        protected virtual void OnPropertyChanged(string propertyName = null)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public List<string> GetCommandParameter(List<string> profileNames)
        {
            List<string> parameters = new List<string>();

            foreach (string profileName in profileNames)
            {
                foreach (Plan plan in _plans)
                {
                    parameters.Add($"--profile-directory=\"{profileName}\" {plan.StartPage}");
                }
            }

            return parameters;
        }
    }

    public class Plan
    {
        public string StartPage { get; set; }
    }
}
